Articles of Android studio

Обязательно ли использовать Gradle с Android Studio?

Я использую андроид-студию с момента ее официального выпуска. До сих пор, когда я использую Android Studio версии 2.1.2, мне нужно дождаться часов, чтобы импортировать проект в первый раз и позволить градиенту синхронизировать. Некоторые люди рекомендуют запускать андроид-студию в автономном режиме, но когда я хочу использовать внешние библиотеки, мне нужно сделать мой проект синхронизированным, и поэтому […]

Не удалось запустить проект в Android Studio (libGDX)

Каждый раз, когда я пытаюсь запустить проект Desktop в Android Studio, я сразу получаю следующую ошибку: Error:com.android.tools.idea.gradle.util.Projects.lastGradleSyncFailed(Lcom/intellij/openapi/project/Project;)Z Никакой градиентной сборки не происходит, или какой-либо синхронизации. Android Studio просто переходит прямо к этой ошибке. У меня есть перезагруженные / недействительные кеши, я удалил свою папку .gradle как в проектных, так и в домашних условиях, я заново […]

9 патчей для предотвращения сбоев

Я перехожу к сборке Gradle. Но у меня есть эта ошибка для большого количества изображений с 9 патчами. Обратите внимание, что drawable автоматически генерируется http://android-holo-colors.com но они старые. Я использую android studio 0.5.1 а моя версия инструмента для сборки – 19.0.3 Это ошибка Error:Execution failed for task ':app:mergeDebugResources'. > Error: Failed to run command: /Applications/Android […]

НЕОПРЕДЕЛЕННЫЙ ТОП-УРОВЕННЫЙ ИСКЛЮЧИТЕЛЬ: com.android.dex.DexException

Я пытаюсь интегрировать barcodefraglibv2 в свое приложение Android в AndroidStudio. Я попытался скопировать файлы libs core.jar и barcodelib.jar в каталог libs. Однако, когда я пытаюсь запустить приложение, я получаю следующую ошибку Error:Execution failed for task ':Blok:dexDebug'. > com.android.ide.common.internal.LoggedErrorException: Failed to run command: /home/backman/android/sdk/build-tools/android-4.4.2/dx –dex –output /home/backman/AndroidStudioProjects/Blok/Blok/build/dex/debug /home/backman/AndroidStudioProjects/Blok/Blok/build/classes/debug /home/backman/AndroidStudioProjects/Blok/Blok/build/dependency-cache/debug /home/backman/AndroidStudioProjects/Blok/Blok/build/pre-dexed/debug/core-bcdbe5f84dd399255abb34d14ce9def109db2534.jar Error Code: 2 Output: UNEXPECTED TOP-LEVEL […]

Не удалось разрешить класс в build.gradle с помощью Android Studio 0.60 / Gradle 0.11

Установленное приложение работает отлично, используя Android Studio 0.5.9 / Gradle 0.9, но обновление до Android Studio 0.6.0 / Gradle 0.11 приводит к ошибке ниже. Как-то Studio, похоже, потеряла способность разрешать импорт инструментов Android в верхней части файла build.gradle. У кого-нибудь есть идеи о том, как это решить? build file 'Users/[me]/Repositories/[project]/[module]/build.gradle': 1: unable to resolve class […]

Зависимость org.json: json: 20090211 игнорируется для отладки, поскольку она может противоречить внутренней версии, предоставляемой Android

Пока я запускаю студию Android, появляется следующее предупреждение: Зависимость org.json: json: 20090211 игнорируется для отладки, поскольку это может противоречить внутренней версии, предоставляемой Android. В случае возникновения проблемы переупаковка с jarjar для изменения пакетов классов Как я могу устранить эту ошибку? Спасибо.

Parse.com: с помощью parseUser, как я могу сохранить данные в столбце, который я создал в parse из класса?

Я использую Android Studio для своего приложения и Parse для моей базы данных … и при создании страницы учетной записи у меня есть, она позволяет пользователю вводить имя, фамилию, адрес электронной почты, имя пользователя и пароль. Но мой код использует parseUser … Я не знаю, как установить имя и фамилию в базе данных. Я знаю, […]

Ошибка: выполнение выполнено для задачи ': app: processDebugResources'. > По индексу 4

У меня возникла проблема при создании моего проекта после обновления 2 обновления последнего SDK (извините, я не помню номер версии). Я успешно запускаю код раньше. Я не думаю, что в моем проекте есть какие-либо ошибки. Я часто получаю сообщение об ошибке, так как «внутренняя ошибка IDE» – это что-то, что с этим связано. Пожалуйста, помогите […]

Расположение Android SDK не должно содержать пробелов, так как это вызывает проблемы с инструментами NDK

Недавно я установил последнюю версию Android Studio (Android Studio 2.1), сохранив прежнюю прежнюю версию 1.2. Теперь у меня Android Studio 2.1 и Android Studio 1.2. В Android Studio 1.2, когда я нажимаю на SDK Manager, он работает правильно, но в Andorid Studio 2.1 эта проблема возникает: Как я могу исправить сохранение двух версий Android-студии? благодаря

Какая версия плагина Android включена в IntelliJ IDEA?

… и как это выяснить (в авторитарном ключе)? В Android Studio 0.8.11: когда я проверяю то же самое, он показывает 10.0.8.11. Который соответствует http://tools.android.com/recent и http://developer.android.com/sdk/installing/studio.html . В IDEA EAP 14: когда я перехожу в Настройки> Плагины> Поддержка Android, указанный номер версии 10.0, который не соответствует последней версии IDEA / Android Studio / SDK / […]